Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 593489

Summary: Gparted (or related) fails to create partion on USB stick of more than c. 16GB.
Product: [Fedora] Fedora Reporter: Russell Davies <russell.davies>
Component: gpartedAssignee: Deji Akingunola <dakingun>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dakingun, russell.davies
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 14:34:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Russell Davies 2010-05-18 22:16:51 UTC
Description of problem:

I have two 32GB USB sticks.  Previously, I could create a single partition over the entirety of each device and format them to ext2 or ext3.   

Recently if I try to do this, it fails.  
 

Version-Release number of selected component (if applicable):
kernel-2.6.32.11-99.fc12.i686
gparted-0.5.1-1.fc12.i686
libparted = 1.9.0

How reproducible:
Every time, on two 32GB USB drives, and on two Fedora 12 installations. 

Steps to Reproduce:
1. Insert 32GB USB Drive
2. start gparted on the device
3. Queue the creation a partition of more than 16GiB in size
4. Run the queue
5. Queue the formatting of the partition (ext2, ext3, ext4 all seem to give the same result)
6. Run the queue
7. Wait for the format to complete and observe the "success" message upon completion. 
8. Click "Close"
9. Observe that the partition type reverts to "unknown" rather that the selected format.
10. Repeat 5 & 6.
12. Observe an error message.  Message on stderr is "unable to open /dev/sd* read-write (Read-only file system. /dev/sd* has been opened read-only"

  
Actual results:
Creation and formatting of a any partition that ends up in part or in whole more than 16GB into a USB flash drive seems to fail. 

Expected results:
Should be able to create partitions of more than 16GB on a USB flash drive. 

Additional info:

If I create and format a partition of 16.001GiB, it fails. 
If I create and format a single partition of 15.009 GiB, starting from 0, it succeeds.
If I create two partitions of 15GiB, the second one fails.

Comment 1 Bug Zapper 2010-11-03 14:37:10 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-12-03 14:34:18 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.